import { defineStore } from 'pinia'

// 审核条目
export const useTaskProcessStore = defineStore({
	id: 'taskProcess',
	state: () => {
		return {
			storeInfoName: '',
			currentTaskRow: {},
			refresh: false // 刷新 false=>不刷新 true=>刷新
		}
	},
	getters: {},
	actions: {
		initState(title: string) {
			this.storeInfoName = title || '审批流程'
		},
		setCurrentTaskRow(row: any) {
			this.currentTaskRow = row // 当前左侧选中的值
		}
	},
	persist: true
})

export default useTaskProcessStore
